*{
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}

:root{
    --submit-btn: rgb(115, 108, 237);
    --submit-btn-hover: rgb(99, 91, 236);
}

img{
    width: auto;
    height: auto;
}

a{
    text-decoration: none;
    color: inherit;
}
a:hover{
    text-decoration: underline;
}

p{
    color: rgb(0 0 0 / .5);
}

.container{
    width: 100%;
    height: 100vh;
    display: flex;
}

.container section:first-of-type{
    display: flex;
    flex: 1;
    justify-content: center;
    align-items: center;
    padding: .5rem;
}

.container section:nth-of-type(2){
    display: flex;
    width: auto;
    justify-content: center;
    align-items: center;
    filter: drop-shadow(-30px 12px 20px rgba(0,0,0,0.3));
}


form{
    width: auto;
    height: auto;
    display: grid;
    place-content: center;
    gap: 2rem;
    padding: 3rem;
    box-shadow: 0px 0px 50px rgba(0, 0, 0, 0.1);
    border-radius: .5rem;
}

form h1{
    text-align: center;
    font-size: 1.5rem;
}

form span{
    color: var(--submit-btn);
}

form label{
    width: 20rem;
}

form input{
    width: 100%;
    height: 50px;
    padding: 0 1rem;
    border: none;
    background-color: rgba(189, 186, 186, 0.1);
    border-radius: .5rem;
    transition: all .2s ease;
    color: rgb(141, 139, 139);
}

form input:focus{
    outline: none;
    background-color: rgba(189, 186, 186, 0.2);
}
label p{
    margin-bottom: 1rem;
    color: rgb(37, 37, 37);
}

button{
    height: 50px;
    border: none;
    border-radius: .5rem;
    background-color: var(--submit-btn);
    font-size: 1rem;
    color: white;
    cursor: pointer;
    transition: all .2s linear;
}

button:hover{
    background-color: var(--submit-btn-hover);
    box-shadow: 0px 0px 20px rgba(0,0,0,0.2);
}

.login-error{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 2rem;
    background-color: rgba(248, 140, 140, 0.2);
    color: red;
    border-radius: 8px;
}

@media  screen and (max-width: 768px){
    .container{
        width: 100vw;
        height: 100vh;
    }
    .container section:nth-of-type(2){
        display: none;
    }
    form{
        width: 90%;
    }
    form label{
        width: 20rem;
    }

}

@media screen and (max-width: 480px) {

    form label{
        width: 15rem;
    }
}
